> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a data point type

> Creates a new data point type for a project.



## OpenAPI

````yaml POST /projects/{project_id}/data_point_types
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/data_point_types:
    post:
      summary: Create a data point type
      description: Creates a new data point type for a project.
      operationId: create-data-point-type
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data_point_type:
                  type: object
                  required:
                    - name
                    - value_type
                  properties:
                    name:
                      type: string
                      description: Name of the data point type
                    slug:
                      type: string
                      description: >-
                        URL-friendly identifier (auto-generated from name if
                        omitted)
                    value_type:
                      type: string
                      description: Data type
                      enum:
                        - number
                        - string
                        - boolean
                    unit:
                      type: string
                      description: Unit of measurement
                    nexus_event_type_id:
                      type: integer
                      description: Event type this DPT belongs to
                    is_static:
                      type: boolean
                      description: Whether this is a static data point type
            examples:
              Request Example:
                value:
                  data_point_type:
                    name: Mass of Feedstock Delivery
                    value_type: number
                    unit: U.S. ton
                    nexus_event_type_id: 1
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1
                    slug: mass-of-feedstock-delivery
                    name: Mass of Feedstock Delivery
                    value_type: number
                    unit: U.S. ton
                    is_static: false
                    nexus_event_type_id: 1
                    created_at: '2025-02-03T14:19:11.787Z'
                    updated_at: '2025-02-03T14:19:11.787Z'
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Name can't be blank
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````